Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest2Var

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest2Var

    public class HypothesisTest2Var

extends java.lang.Object

A hypothesis test for 2 population variances.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest2Var(int n1, int n2, double var1, double var2, double confidenceLevel, int testType)` Constructor

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`int` | `DOF1()` Returns the degree of freedom 1.
`int` | `DOF2()` Returns the degree of freedom 2.
`double` | `pValue()` Returns the p-value in a F distribution.
`double` | `testStatistics()` Returns the test statistics F = var1 / var2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest2Var

    public HypothesisTest2Var(int n1,
                              int n2,
                              double var1,
                              double var2,
                              double confidenceLevel,
                              int testType)

  Constructor

  Parameters:
    `n1` - sample size 1
    `n2` - sample size 2
    `var1` - sample variance 1
    `var2` - sample variance 2
    `confidenceLevel` - confidence level
    `testType` - type of test (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics()

  Returns the test statistics F = var1 / var2.

  Returns:
    test statistic F

### DOF1

    public int DOF1()

  Returns the degree of freedom 1.

  Returns:
    degree of freedom 1

### DOF2

    public int DOF2()

  Returns the degree of freedom 2.

  Returns:
    degree of freedom 2

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the F distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue()

  Returns the p-value in a F distribution.

  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD